curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"recipients":[{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"position": 1
}],
}
}'
{
"result": true,
"code": "200",
"message": "Recipient created"
}
Recipient
Create recipient
Add a recipient to a contract.
POST
/
api
/
recipient
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"recipients":[{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"position": 1
}],
}
}'
{
"result": true,
"code": "200",
"message": "Recipient created"
}
One way to add recipients to a contract is when you send a contract.
See this page to learn more.
If you need to add a recipient to a contract without sending it, use the request below.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
ID of the user who is sending the contract. If not specified, the default user credentials will be used.
string
required
Key of the contract.
array
Array of recipients, optional.
Show child attribute
Show child attribute
string
What the recipient needs to do with the contract. Available options:
view, sign, approve, and lock.string
Custom note to the recipient. If not specified, the default message will be sent.
string
Full name of the recipient.
string
required
Email of the recipient.
number
Signing order. If not specified, all requests will be sent simultaneously.
Response
boolean
Status.
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"recipients":[{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"position": 1
}],
}
}'
{
"result": true,
"code": "200",
"message": "Recipient created"
}
⌘I